> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/cloud/knowledge-base/troubleshooting-articles/access-denied-errors.md).

# Access denied errors

Find solutions for common Devolutions Cloud access denied errors, from multifactor authentication prompts to disabled accounts and IP allowlist blocks.

In Devolutions Cloud, many situations can trigger an ***Access denied*** error. Here are the most common messages and their solutions.

{% hint style="info" %}
For all other types of Devolutions Cloud errors, consult the [Errors list](/cloud/knowledge-base/troubleshooting-articles/errors-list.md) article.
{% endhint %}

### Activate your multifactor authentication on your account

**Description**

The multifactor authentication login was enforced on the Devolutions Cloud.

**Solution**

All users that connect to this Devolutions Cloud need to have a multifactor authentication configured on their Devolutions Account. Please follow the displayed instructions.

***

### Enter your emergency reset code

**Description**

This user did a ***Forgot password*** on their Devolutions Account for their Devolutions Cloud.

**Solution**

Enter your Emergency reset code. The recovery key was provided at the first login after the initial creation of the Devolutions Cloud. It is a mandatory step in the creation process.

You can search for a PDF file titled "Devolutions Cloud Recovery Key" followed by your Devolutions Cloud address (for example, "Devolutions Cloud Recovery Key urlxxxx.devolutions.app"). Recovery keys downloaded from older versions of Remote Desktop Manager may instead be named "EmergencyKit" followed by the Devolutions Cloud address. The ***recovery key*** can be reset and downloaded again by going to ***Administration*** – ***System settings*** – ***Danger zone*** – ***Generate recovery key*** in Devolutions Cloud.

***

### Please contact your administrator to be allowed to use the Devolutions Password Manager browser extension

**Description**

This user is not allowed to access this Devolutions Cloud via the Devolutions Password Manager browser extension companion tool.

**Solution**

The user needs to contact their Devolutions Cloud administrator or any user that has the permission to manage users to enable their access.

***

### Please contact your administrator to enable your account

**Description**

This user was disabled in Devolutions Cloud.

**Solution**

The user needs to contact their Devolutions Cloud administrator or any user that has the permission to manage users to enable their access.

***

### Please contact your administrator to request an invitation

**Description**

This user account does not exist in the Devolutions Cloud.

**Solution**

An administrator or any user that has the permission to manage users needs to invite the user with their Devolutions Account in this Devolutions Cloud.

***

### Please contact your administrator to request an invitation OR Enter your emergency reset code

**Description**

This user did a Forgot password on their Devolutions Account and is the owner of the Devolutions Cloud.

**Solution**

Is there another administrator or any user that has the permission to manage users?

* **Yes**: Ask the other administrator or user with enough rights to re-invite the owner.
* **No**: The owner will need to enter their Emergency reset code.

The recovery key was provided at the first login after the initial creation of the Devolutions Cloud. It is a mandatory step in the creation process.

You can search for a PDF file titled "Devolutions Cloud Recovery Key" followed by your Devolutions Cloud address (for example, "Devolutions Cloud Recovery Key urlxxxx.devolutions.app"). Recovery keys downloaded from older versions of Remote Desktop Manager may instead be named "EmergencyKit" followed by the Devolutions Cloud address. If you are a Devolutions Cloud owner and cannot locate your recovery key PDF file and do not have another administrator or any user that has the permission to manage users, please contact our [customer support team](mailto:service@devolutions.net) by email.

***

### We detected a forgot password. In order to regain access to this Devolutions Cloud instance, please contact your administrator to request a new invitation.

**Description**

This user did a Forgot password on their Devolutions Account and is not the owner. This action cuts the link with the Devolutions Cloud.

Note: If the Devolutions Account has more than one Devolutions Cloud instance, it will cut the link to all of them.

**Solution**

An administrator or any user that has the permission to manage users needs to re-invite this user. This invitation will establish the link with the Devolutions Cloud.

***

### We detected a forgot password or a lost your phone (unpaired). In order to regain access to this Devolutions Cloud instance, please contact your administrator to request a new invitation.

**Description**

This user's phone pairing is broken for the private key push notification storage method.

**Solution**

1. Go to [Private Key Storage Methods](https://portal.devolutions.com/security) in your Devolutions Portal.
2. Delete the push entry related to the account on your phone.
3. Remove the QR code or Password linked to the account, if any.
4. Click on the ***Forgot your phone*** button in the ***Store on a mobile device*** method.
5. Follow the push notification configuration process.
6. Ask an administrator or any user that has the permission to manage users for a new invitation to the Devolutions Cloud.

***

### Devolutions Password Manager is disabled for this user on this Devolutions Cloud instance

**Description**

This user is not allowed to access this Devolutions Cloud via Devolutions Password Manager.

**Solution**

The user needs to contact their Devolutions Cloud administrator or any user that has the permission to manage users to enable their access.

***

### Your IP address is not allowed

**Description**

The IP address of this user is not in the IP Allowlist.

**Solution**

The user needs to contact their Devolutions Cloud administrator.

#### See also

* [Devolutions Academy – Configure MFA in Devolutions Cloud](https://academy.devolutions.net/student/page/2745279-configure-multi-factor-authentification-in-devolutions-hub?curriculum_activity_id=4164309\&path_id=2628397\&sid=02d8fe9d-9514-4ecf-a9da-584dd3b9ef19\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/cloud/knowledge-base/troubleshooting-articles/access-denied-errors.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
